.blog {
}
.blog__container {
    padding: 80px 10%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.blog__title {
    font-size: 48px;
    margin: 0 auto;
    text-align: center;
}
.blog__subtitle {
    text-align: center;
    font-size: 18px;
    font-weight: 350;
    width: 70%;
    padding-bottom: 50px;
}
/* .blog__main {
    display: flex;
    gap: 60px;
    width: 100%;
    height: 300px;
    background-color: #03daed0d;
    border-radius: 45px;
    overflow: hidden;
}
.blog__main-info {
    width: calc(40% - 30px);
    padding: 30px 0 20px 30px;
    display: flex;
    flex-direction: column;
    position: relative;
}
.blog__main-info__title {
    margin: 0;
}
.blog__main-info__text {
    display: -webkit-box;
    -webkit-line-clamp: 9; 
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis; 
}
.blog__main-info__date {
    position: absolute;
    bottom: 20px;
    left: 30px;
}
.blog__main-img {
    width: calc(60% - 30px);
    height: 300px;
    border-radius: 45px;
    overflow: hidden;
}
.blog__main-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
}
.blog__subscribe {
    padding-top: 100px;
    border-bottom: 1px solid #ffffff8b;
    width: 100%;
    display: flex;
    gap: 60px;
    justify-content: space-between;
}
.blog__subscribe-subscription {
    padding-bottom: 70px;

}
.blog__subscribe-title {
    padding-bottom: 30px;
}
.blog__subscribe-form {
    display: flex;
}
.blog__subscribe-form input{
    max-width: 320px;
    width: 100%;
    outline: none;
    height: 40px;
    border-radius: 20px;
    border: 1px solid #FFF;
    padding-left: 20px;
    padding-right: 60px;
    font-size: 15px;
    background: none;
    color: #FFF;
}
.blog__subscribe-form input::placeholder{
    color: #FFF;
}
.blog__subscribe-form button{
    height: 44px;
    min-width: 140px;
    padding: 0 20px;
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 15px;
    border-radius: 20px;
    border: none;
    margin-left: -50px;
    cursor: pointer;
}
.blog__subscribe-follow {
    padding-left: 50px;
    padding-right: 20px;
    padding-bottom: 30px;
    border-left: 1px solid #ffffff8b;
}
.blog__subscribe-follow__title{
    padding-bottom: 0;
}
.blog__subscribe-subtitle {
    font-size: 18px;
    max-width: 250px;
    width: 100%;
}
.blog__subscribe-follow__links {
    display: flex;
    gap: 12px;
}
.blog__subscribe-follow__link {
    width: 32px;
    height: 32px;
}
.blog__subscribe-follow__link img{
    width: 100%;
    height: 100%;
    object-fit: contain;
} */
.blog__cards {
    /* padding-top: 50px; */
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    gap: 40px; 
}

.blog__cards-item {
    width: 100%; 
    height: 410px;
    background-color: #03daed0d;
    border-radius: 8px; 
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 20px;
    overflow: hidden;
    padding-bottom: 15px;
}

.blog__cards-img {
    width: 100%;
    height: 180px;
    border-radius: 20px;
    overflow: hidden;
    margin-bottom: 15px;
}
.blog__cards-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.blog__cards-date {
    padding: 0 10px;
    font-size: 18px;
}
.blog__cards-title {
    padding: 0 10px;
    margin-top: 5px;
    margin-bottom: 0px;
}
.blog__cards-description {
    padding: 0 10px;
    margin-top: 10px;
    display: -webkit-box;
    -webkit-line-clamp: 4; 
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis; 
}

@media (max-width: 992px){
    .blog__cards {
        grid-template-columns: repeat(2, 1fr); 
    }
}
@media (max-width: 767px){
    .blog__cards {
        grid-template-columns: repeat(1, 1fr); 
        gap: 20px;
    }
    .blog__subtitle {
        width: 90%;
    }
    .blog__subtitle{
        padding-bottom: 20px;
    }
}
@media (max-width: 500px){
    .blog__subtitle {
        width: 98%;
    }
}